using System;

internal sealed class Delegate397 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate397 delegate397_1)
	{
		return delegate397_1(object_0);
	}

	public extern Delegate397(object object_0, IntPtr intptr_0);

	static Delegate397()
	{
		Class10.smethod_13(typeof(Delegate397).TypeHandle);
	}

	internal static Delegate397 delegate397_0;
}
